/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Vista;

import Controlador.ControlEntradas;
import Modelo.ModeloEntradas;
import Utileria.Utilhora;
import java.awt.Font;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.table.JTableHeader;
import javax.swing.table.TableColumn;

/**
 *
 * @author Andres Daraviña
 */
public class Entradas extends javax.swing.JDialog {

    /**
     * Creates new form Entradas
     */
    public Entradas(Menu sc) {
        super(sc,true);
        initComponents();
    }


    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel8 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        codigou = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        buscar = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jLabel20 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        temperatura = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        cancelar1 = new javax.swing.JButton();
        jLabel26 = new javax.swing.JLabel();
        hora = new javax.swing.JFormattedTextField();
        jLabel27 = new javax.swing.JLabel();
        fecha = new javax.swing.JFormattedTextField();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        programa = new javax.swing.JComboBox<>();
        cargo = new javax.swing.JComboBox<>();
        tipo = new javax.swing.JTextField();
        telefono = new javax.swing.JFormattedTextField();
        nombre = new javax.swing.JTextField();
        apellido = new javax.swing.JTextField();
        direccion = new javax.swing.JTextField();
        ciudad = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        guardar1 = new javax.swing.JButton();
        jLabel14 = new javax.swing.JLabel();
        estado = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        cancelar2 = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        crear = new javax.swing.JButton();
        jLabel12 = new javax.swing.JLabel();

        jLabel8.setText("jLabel8");

        jLabel5.setText("jLabel5");

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Entrada de Usuario");
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Datos de Ingreso", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 0, 14))); // NOI18N
        jPanel2.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel1.setText("Codigo Encargado");
        jPanel2.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(35, 35, -1, -1));

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel2.setText("Documento Usuario");
        jPanel2.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(37, 73, -1, -1));

        codigou.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        codigou.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                codigouActionPerformed(evt);
            }
        });
        jPanel2.add(codigou, new org.netbeans.lib.awtextra.AbsoluteConstraints(174, 70, 70, -1));

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel4.setText("Id");
        jPanel2.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(163, 35, -1, -1));

        buscar.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        buscar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/buscar.png"))); // NOI18N
        buscar.setText("Buscar");
        buscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buscarActionPerformed(evt);
            }
        });
        jPanel2.add(buscar, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 65, -1, -1));

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel6.setText("Nombre");
        jPanel2.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(379, 35, -1, -1));

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/univalleR.png"))); // NOI18N
        jPanel2.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(469, 19, -1, -1));

        jLabel9.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel9.setText("Nombre Encargado");
        jPanel2.add(jLabel9, new org.netbeans.lib.awtextra.AbsoluteConstraints(245, 35, -1, -1));

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        jPanel3.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel20.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel20.setText("Hora:");
        jPanel3.add(jLabel20, new org.netbeans.lib.awtextra.AbsoluteConstraints(289, 183, -1, -1));

        jLabel18.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel18.setText("Apellido");
        jPanel3.add(jLabel18, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 103, -1, -1));

        temperatura.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(temperatura, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 20, 60, -1));

        jLabel21.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel21.setText("Nombre");
        jPanel3.add(jLabel21, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 62, -1, -1));

        jLabel22.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel22.setText("Fecha:");
        jPanel3.add(jLabel22, new org.netbeans.lib.awtextra.AbsoluteConstraints(289, 143, -1, -1));

        jLabel23.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel23.setText("Cargo");
        jPanel3.add(jLabel23, new org.netbeans.lib.awtextra.AbsoluteConstraints(289, 62, -1, -1));

        jLabel24.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel24.setText("Programa");
        jPanel3.add(jLabel24, new org.netbeans.lib.awtextra.AbsoluteConstraints(289, 103, -1, -1));

        jLabel25.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel25.setText("Ciudad");
        jPanel3.add(jLabel25, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 225, -1, -1));

        cancelar1.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        cancelar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/eliminar.png"))); // NOI18N
        cancelar1.setText("Cancelar");
        cancelar1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelar1ActionPerformed(evt);
            }
        });
        jPanel3.add(cancelar1, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 220, -1, -1));
        cancelar1.setEnabled(false);

        jLabel26.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel26.setText("Tipo Documento");
        jPanel3.add(jLabel26, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 21, -1, -1));

        try {
            hora.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##:##:##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        hora.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(hora, new org.netbeans.lib.awtextra.AbsoluteConstraints(400, 180, 110, -1));
        hora.setText(Utilhora.getinstance().getDateHour());
        hora.setEditable(false);

        jLabel27.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel27.setText("Direccion");
        jPanel3.add(jLabel27, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 183, -1, -1));

        try {
            fecha.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("####/##/##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        fecha.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        fecha.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fechaActionPerformed(evt);
            }
        });
        jPanel3.add(fecha, new org.netbeans.lib.awtextra.AbsoluteConstraints(400, 140, 110, -1));
        fecha.setText(Utilhora.getinstance().getDateFecha());
        fecha.setEditable(false);

        jLabel28.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel28.setText("Telefono");
        jPanel3.add(jLabel28, new org.netbeans.lib.awtextra.AbsoluteConstraints(17, 143, -1, -1));

        jLabel29.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel29.setText("Temperatura");
        jPanel3.add(jLabel29, new org.netbeans.lib.awtextra.AbsoluteConstraints(289, 21, -1, -1));

        programa.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        programa.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Estudiante", "Docente" }));
        jPanel3.add(programa, new org.netbeans.lib.awtextra.AbsoluteConstraints(400, 100, 110, -1));
        programa.setEnabled(false);

        cargo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        cargo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Estudiante", "Docente" }));
        jPanel3.add(cargo, new org.netbeans.lib.awtextra.AbsoluteConstraints(400, 60, 110, -1));
        cargo.setEnabled(false);

        tipo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(tipo, new org.netbeans.lib.awtextra.AbsoluteConstraints(147, 18, 116, -1));
        tipo.setEditable(false);

        try {
            telefono.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##########")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        telefono.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(telefono, new org.netbeans.lib.awtextra.AbsoluteConstraints(98, 141, 165, -1));
        telefono.setEditable(false);

        nombre.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(nombre, new org.netbeans.lib.awtextra.AbsoluteConstraints(98, 59, 165, -1));
        nombre.setEditable(false);

        apellido.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(apellido, new org.netbeans.lib.awtextra.AbsoluteConstraints(98, 100, 165, -1));
        apellido.setEditable(false);

        direccion.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(direccion, new org.netbeans.lib.awtextra.AbsoluteConstraints(98, 182, 165, -1));
        direccion.setEditable(false);

        ciudad.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(ciudad, new org.netbeans.lib.awtextra.AbsoluteConstraints(98, 223, 165, -1));
        ciudad.setEditable(false);

        jLabel3.setText("°");
        jPanel3.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(440, 20, -1, -1));

        guardar1.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        guardar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/Ok-icon.png"))); // NOI18N
        guardar1.setText("Guardar");
        jPanel3.add(guardar1, new org.netbeans.lib.awtextra.AbsoluteConstraints(420, 220, -1, -1));
        guardar1.setEnabled(false);

        jLabel14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/fondo1.png"))); // NOI18N
        jPanel3.add(jLabel14, new org.netbeans.lib.awtextra.AbsoluteConstraints(-30, -120, 600, 460));

        jPanel2.add(jPanel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(21, 117, 537, 265));

        estado.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        estado.setText("Estado");
        jPanel2.add(estado, new org.netbeans.lib.awtextra.AbsoluteConstraints(379, 73, -1, -1));

        jLabel13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/fondo1.png"))); // NOI18N
        jPanel2.add(jLabel13, new org.netbeans.lib.awtextra.AbsoluteConstraints(-10, -20, -1, 490));

        jPanel1.add(jPanel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 20, 580, 410));

        cancelar2.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        cancelar2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/back-icon.png"))); // NOI18N
        cancelar2.setText("Volver");
        cancelar2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelar2ActionPerformed(evt);
            }
        });
        jPanel1.add(cancelar2, new org.netbeans.lib.awtextra.AbsoluteConstraints(33, 435, -1, -1));
        cancelar1.setEnabled(false);

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/barrahorilarg.png"))); // NOI18N
        jPanel1.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 609, -1));

        jLabel11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/barrahorilarg.png"))); // NOI18N
        jPanel1.add(jLabel11, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 471, 609, -1));

        crear.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        crear.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/mas.png"))); // NOI18N
        crear.setText("Crear");
        jPanel1.add(crear, new org.netbeans.lib.awtextra.AbsoluteConstraints(481, 433, -1, -1));
        crear.setVisible(false);

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/IMGS/fondo1.png"))); // NOI18N
        jPanel1.add(jLabel12, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 10, -1, 470));

        getContentPane().add(jPanel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 600, -1));

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void codigouActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_codigouActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_codigouActionPerformed

    private void buscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buscarActionPerformed
        ModeloEntradas me = new ModeloEntradas();
        me.setCedula(Long.parseLong(codigou.getText()));
        ControlEntradas ce = new ControlEntradas();
        try {
            ce.buscar(me);
        } catch (Exception ex) {
        }
    }//GEN-LAST:event_buscarActionPerformed

    private void cancelar1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelar1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cancelar1ActionPerformed

    private void fechaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fechaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_fechaActionPerformed

    private void cancelar2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelar2ActionPerformed
        dispose();
    }//GEN-LAST:event_cancelar2ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField apellido;
    private javax.swing.JButton buscar;
    private javax.swing.JButton cancelar1;
    private javax.swing.JButton cancelar2;
    private javax.swing.JComboBox<String> cargo;
    private javax.swing.JTextField ciudad;
    private javax.swing.JTextField codigou;
    private javax.swing.JButton crear;
    private javax.swing.JTextField direccion;
    private javax.swing.JLabel estado;
    private javax.swing.JFormattedTextField fecha;
    private javax.swing.JButton guardar1;
    private javax.swing.JFormattedTextField hora;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextField nombre;
    private javax.swing.JComboBox<String> programa;
    private javax.swing.JFormattedTextField telefono;
    private javax.swing.JTextField temperatura;
    private javax.swing.JTextField tipo;
    // End of variables declaration//GEN-END:variables
}
